ONVIF::Analytics::Types::IPv4NetworkInterfaceSetConfiguration(3pm)

NAME
ONVIF::Analytics::Types::IPv4NetworkInterfaceSetConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType IPv4NetworkInterfaceSetConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Enabled

•   Manual

•   DHCP

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::IPv4NetworkInterfaceSetConfiguration
   Enabled =>  $some_value, # boolean
   Manual =>  { # ONVIF::Analytics::Types::PrefixedIPv4Address
     Address => $some_value, # IPv4Address
     PrefixLength =>  $some_value, # int
   },
   DHCP =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL